﻿/* global */

.da-purple {
    background-color: #7e2773 !important;
}

.da-purple--text {
    color: #7e2773 !important;
}

.da-btn {
    width: 100px;
    height: 40px !important;
}

.da-btn--outlined {
    border-width: 2px !important;
    border-color: #7e2773 !important;
}

.padded-continer {
    padding: 0px 80px;
}

.dv-logo-small {
    max-width: 140px;
    /*height: 100%;*/
    margin: 0px 12px;
}

.dv-logo-large {
    max-width: 200px;
    /*height: 100%;*/
}

.fb-blue {
    background-color: #34495e !important;
    color: white !important;
}

.google-white {
    background-color: #ffffff3b !important;
    color: black !important;
}

.google-icon {
    width: 42px !important;
    height: 30px !important;
}

.facebook-icon {
    width: 42px !important;
    height: 42px !important;
}

.mdc-text-field--outlined:not(.mdc-text-field--invalid).mdc-text-field--focused .mdc-notched-outline__leading,
.mdc-text-field--outlined:not(.mdc-text-field--invalid).mdc-text-field--focused .mdc-notched-outline__trailing,
.mdc-text-field--outlined:not(.mdc-text-field--invalid).mdc-text-field--focused .mdc-notched-outline__notch,
.mdc-text-field--outlined:not(.mdc-text-field--invalid).mdc-text-field--focused .mdc-floating-label {
    border-color: #7e2773 !important;
    color: #7e2773 !important;
}

.horizontal-divider {
    border: 0;
    border-top: 2px solid #d7d7d7;
    width: 100%;
    margin: auto 0px;
}

.vertical-divider {
    height: 100%;
    border-right: 2px solid #d7d7d7;
    top: 0px;
    margin-right: 2px;
}

.mdc-text-field .mdc-text-field__input {
    caret-color: #7e2773 !important;
}

.lead-text {
    font-size: 1.25em;
    font-weight: 300;
}

/*LOGIN*/

.login-page {
    position: absolute;
    height: 100%;
    left: 0;
    width: 100%;
    top: 0;
}


.login-page #overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #7e2773b8;
}

.login-bg {
    position: fixed;
    width: 100%;
    height: 100%;
    background-image: url("../images/digireg-login-bg.jpg");
    background-size: contain;
    background-repeat: repeat-x;
    background-position: right;
    filter: blur(2px);
    margin-top: 80px;
}

.login-container {
    position: fixed;
    height: 100%;
    width: 40%;
    background-color: #ffffffe3;
    transition: width 1s;
}



.logo-banner {
    margin: 60px 80px 20px;
}

.leading-logo-container {
    /*display: flex;*/
    
    justify-content: center;
    margin: 20px;
    text-align: center;
}

.supporting-logo-container {
    display: flex;
    display: none;
    justify-content: space-evenly;
}

.login-text-field {
    width: 100%;
    height: 50px !important;
    margin: 10px 0px !important;
}

.external-account-divider {
    display: flex;
    flex-wrap: nowrap;
    margin-top: 15px;
}

    .external-account-divider span {
        margin: 0px 15px;
    }

.external-account-btn {
    width: 100%;
    margin: 8px auto;
    justify-content: flex-start !important;
    padding: 0px !important;
    align-content: center !important;
    height: 50px !important;
}

.external-account-icon {
    margin: 0 8px !important;
}

.mdc-list-item {
    padding: 0px !important;
}

.external-account-label {
    margin: auto;
}


/* LOGGED OUT PAGE */
.logged-out-page,
.logout-page {
    text-align: center;
}

.service-container {
    margin: 60px 0px;
}

.service-row {
    display: flex;
    justify-content: center;
    margin: 20px 0px;
}

    .service-row img {
        margin: 0px 20px;
    }



@media only screen and (max-width: 1200px) {

    .login-container {
        width: 60%;
    }
}

@media only screen and (max-width: 1000px) {

    .login-container {
        width: 80%;
    }
}

@media only screen and (max-width: 800px) {

    .login-container {
        width: 100%;
    }
    .padded-continer {
        padding: 0px 40px;
    }
}

@media only screen and (max-width: 501px) {

    .padded-continer {
        padding: 0px 20px;
    }
}
